%define upstream_name    Data-Password
%define upstream_version 1.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl extension for assessing password quality
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module checks potential passwords for crackability. It checks that the
password is in the appropriate length, that it has enough character groups,
that it does not contain the same characters repeatedly or ascending or
descending characters, or charcters close to each other in the keyboard. It
will also attempt to search the ispell word file for existance of whole
words. The module's policies can be modified by changing its variables.
(Check the "VARIABLES" manpage). For doing it, it is recommended to import
the ':all' shortcut when requiring it:

_use Data::Password qw(:all);_

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml README Changes META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.120.0-2.mga6
+ Revision: 1024825
- Rebuild for perl 5.22.2

* Sun Jan 17 2016 buchan <buchan> 1.120.0-1.mga6
+ Revision: 924945
- imported package perl-Data-Password


* Mon Jan 11 2016 buchan 1.12-1mga
- initial mageia release, generated with cpan2dist
